#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgdata
Version		:	0.18.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Library for the GData protocol
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/libgdata

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libsoup
BuildRequires	:	gnome-online-accounts-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gcr3
BuildRequires	:	json-glib
BuildRequires	:	liboauth
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	uhttpmock
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
'%{folks}' is a GLib-based library for accessing online service APIs
using the GData protocol --- most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-Dgtk_doc=false					\
	-Dalways_build_tests=false			\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/gdata/*.h
%{_includedir}/%{name}/gdata/atom/*.h
%{_includedir}/%{name}/gdata/app/*.h
%{_includedir}/%{name}/gdata/gcontact/*.h
%{_includedir}/%{name}/gdata/gd/*.h
%{_includedir}/%{name}/gdata/media/*.h
%{_includedir}/%{name}/gdata/services/calendar/*.h
%{_includedir}/%{name}/gdata/services/contacts/*.h
%{_includedir}/%{name}/gdata/services/documents/*.h
%{_includedir}/%{name}/gdata/services/freebase/*.h
%{_includedir}/%{name}/gdata/services/picasaweb/*.h
%{_includedir}/%{name}/gdata/services/tasks/*.h
%{_includedir}/%{name}/gdata/services/youtube/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/gdata.mo
%{_datadir}/vala/vapi/%{name}.{deps,vapi}

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig


%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
